
Ruby - Bug #3817

current ruby-openssl impl wrongly utilizes CRYPTO_EX_DATA in X509_STORE

09/10/2010 04:48 PM - nahi (Hiroshi Nakamura)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3dev Backport:  

Description

=begin

cf. http://redmine.ruby-lang.org/issues/show/3000

I think that current ruby-openssl impl wrongly utilizes CRYPTO_EX_DATA in X509_STORE

(I'm not talking about one in X509_STORE_CTX)

=end

History

#1 - 09/14/2010 03:45 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

=begin

=end

#2 - 06/11/2011 02:43 PM - ko1 (Koichi Sasada)

How about it?

#3 - 06/22/2011 11:04 AM - nahi (Hiroshi Nakamura)

- Target version set to 2.0.0

Moved target version to 1.9.x

#4 - 11/29/2012 09:53 PM - nahi (Hiroshi Nakamura)

- Target version changed from 2.0.0 to 2.6

Postpone this issue again. Let us (nahi and emboss) know if you seem to be bitten by this.

#5 - 09/13/2015 03:22 AM - zzak (zzak _)

- Assignee changed from nahi (Hiroshi Nakamura) to 7150

#6 - 06/29/2016 01:26 PM - rhenium (Kazuki Yamaguchi)

- Status changed from Assigned to Closed

This hasn't caused any further issues, and OpenSSL 1.1.0 finally added ex_data functions for X509_STORE. So I think this can be closed now.
